ViennaCL - The Vienna Computing Library: ViennaCLMatrix_impl Struct Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
ViennaCLMatrix_impl Struct Reference

`#include <viennacl_private.hpp>`

## Public Attributes
ViennaCLBackend | backend
ViennaCLPrecision | precision
ViennaCLOrder | order
ViennaCLTranspose | trans
char * | host_mem
ViennaCLInt | size1
ViennaCLInt | start1
ViennaCLInt | stride1
ViennaCLInt | internal_size1
ViennaCLInt | size2
ViennaCLInt | start2
ViennaCLInt | stride2
ViennaCLInt | internal_size2

## Detailed Description

Definition at line 113 of file viennacl_private.hpp.

## Member Data Documentation

ViennaCLBackend ViennaCLMatrix_impl::backend

Definition at line 115 of file viennacl_private.hpp.

char* ViennaCLMatrix_impl::host_mem

Definition at line 127 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::internal_size1

Definition at line 132 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::internal_size2

Definition at line 137 of file viennacl_private.hpp.

ViennaCLOrder ViennaCLMatrix_impl::order

Definition at line 117 of file viennacl_private.hpp.

ViennaCLPrecision ViennaCLMatrix_impl::precision

Definition at line 116 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::size1

Definition at line 129 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::size2

Definition at line 134 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::start1

Definition at line 130 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::start2

Definition at line 135 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::stride1

Definition at line 131 of file viennacl_private.hpp.

ViennaCLInt ViennaCLMatrix_impl::stride2

Definition at line 136 of file viennacl_private.hpp.

ViennaCLTranspose ViennaCLMatrix_impl::trans

Definition at line 118 of file viennacl_private.hpp.

The documentation for this struct was generated from the following file:

- libviennacl/src/viennacl_private.hpp